%define name	io_lib
%define version 1.9.0
%define release %mkrel 2
%define major	1.9.0
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	General purpose trace file library
License:	GPL
Group:		Development/C
Source:		http://prdownloads.sourceforge.net/staden/%{name}-%{version}.tar.bz2
Patch:		%{name}-1.9.0.autoconf.patch.bz2
Url:		http://staden.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	automake1.9
BuildRequires:  zlib1-devel

%description
Io_lib is a library of file reading and writing code to provide a general
purpose trace file (and Experiment File) reading interface. The programmer
simply calls the (eg) read_reading to create a "Read" C structure with the
data loaded into memory.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q
%patch -p 1

%build
libtoolize --force
aclocal-1.9
autoconf-2.5x
automake-1.9
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc CHANGES COPYRIGHT README
%{_bindir}/*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libread-%{major}.so

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/%{name}
%{_libdir}/libread.a
%{_libdir}/libread.la
%{_libdir}/libread.so
%{_mandir}/*/*

%changelog
* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.9.0-2mdk
- Fix BuildRequires

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.0-1mdk 
- new version
- spec cleanup 
- drop previous patch, no use anymore
- less strict requires between packages

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.12b-1mdk 
- new version
- new URL
- rpmbuildupdate aware

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-3mdk
- try to solve include problem

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-2mdk
- add missing include file

* Wed Dec 31 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-1mdk
- first mdk release
